> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Métricas de sesiones

> Obtener métricas de sesiones para tu cuenta Enterprise

Requiere una API key personal de administrador de Enterprise.

Devuelve el número total de sesiones de tu cuenta Enterprise en el período de tiempo especificado.


## OpenAPI

````yaml es/v2-openapi.yaml GET /v2/enterprise/metrics/sessions
openapi: 3.1.0
info:
  description: API de Devin v2 con Personal API Keys para administradores de Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/metrics/sessions:
    get:
      tags:
        - metrics
      summary: Endpoint de métricas de sesiones de Enterprise
      operationId: enterprise_sessions_metrics_endpoint_v2_enterprise_metrics_sessions_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
        - in: query
          name: user_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: User Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionsMetrics'
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    SessionsMetrics:
      properties:
        sessions_count:
          title: Sessions Count
          type: integer
      required:
        - sessions_count
      title: SessionsMetrics
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personal (apk_user_*) solo para administradores de Enterprise
      scheme: bearer
      type: http

````